Subject: Re: bug#24060: Test (tests/publish.scm) still fails after fix

From: [email-masked] (Ludovic Courtès)
Date: Tue, 02 Aug 2016 18:10:45 +0200

Chris Marusich <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Is this new failure systematic, or does it occur randomly?
>
> I've tried running the test over 100 times, and it failed every time.
> I've also tested it in a QEMU guest running GuixSD, and it still fails.
> I will see if I can reproduce it on a totally different physical
> computer and get back to you.
>
>> What version of Guile do you use?
>
> The version is "guile (GNU Guile) 2.0.11".  This version comes from
> running "guix environment guix".
>
> I just now tried the same tests using guile-next (which is version
> 2.1.2), and they still failed.
>
>> I wonder if this could be a remnant of <http://bugs.gnu.org/19610>.
>> Does commenting out the “/nar/gzip/*” test hide the problem?
>
> Commenting out that test-equals section did not hide the problem.

It is reproducible on our current master (post-core-updates merge, using
glibc 2.23).  I’ve debugged a bit and found that commit
2c7b48c2fbccc0b2fc09ae055ce5b32f3fe6b441 fixes it for me.

Could you try again with current master?

For good measure, I also pushed a5c376034f0c465c00e88283dae6d59ac49612a9
to protect us from thread-safety issues that could in theory arise.

Thanks,
Ludo’.